org.apache.solr.cloud

## Class AbstractFullDistribZkTestBase.CloudJettyRunner

- java.lang.Object
- - org.apache.solr.cloud.AbstractFullDistribZkTestBase.CloudJettyRunner

- Enclosing class:
    AbstractFullDistribZkTestBase

      public static class AbstractFullDistribZkTestBase.CloudJettyRunner
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `org.apache.solr.cloud.AbstractFullDistribZkTestBase.CloudSolrServerClient` | `client`
    `String` | `coreNodeName`
    `org.apache.solr.common.cloud.ZkNodeProps` | `info`
    `org.apache.solr.client.solrj.embedded.JettySolrRunner` | `jetty`
    `String` | `nodeName`
    `String` | `url`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CloudJettyRunner()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object obj)`
    `int` | `hashCode()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### jetty

          public org.apache.solr.client.solrj.embedded.JettySolrRunner jetty

    - #### nodeName

          public String nodeName

    - #### coreNodeName

          public String coreNodeName

    - #### url

          public String url

    - #### client

          public org.apache.solr.cloud.AbstractFullDistribZkTestBase.CloudSolrServerClient client

    - #### info

          public org.apache.solr.common.cloud.ZkNodeProps info

  - ### Constructor Detail

    - #### CloudJettyRunner

          public CloudJettyRunner()

  - ### Method Detail

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.